package com.mycompany.workingwithnetworking;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebView;
import android.webkit.WebViewClient;


public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        WebView webView = new WebView(this);
        webView.getSettings().setJavaScriptEnabled(true);
        webView.setWebViewClient(new WebViewClient());
        webView.loadUrl("http://developer.android.com");
        setContentView(webView);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }
        else if (id == R.id.action_activity2) {
            Intent intent = new Intent(this, Activity2.class);
            startActivity(intent);
        }
        else if (id == R.id.action_json) {
            Intent intent = new Intent(this, jsonActivity.class);
            startActivity(intent);
        }
        else if (id == R.id.action_file) {
            Intent intent = new Intent(this, FileActivity.class);
            startActivity(intent);
        }
        else if (id == R.id.action_intent) {
            Intent intent = new Intent(this, Intents.class);
            startActivity(intent);
        }

        return super.onOptionsItemSelected(item);
    }
}
