package com.mycompany.workingwithnetworking;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import org.json.JSONException;
import org.json.JSONObject;


public class jsonActivity extends Activity {

    private static final String CLASSES =
            "{\"classes\":"
            + "{\"name\":\"Intro to Android\",\"credits\":3,\"students\":["
            + "{\"name\":\"Jim\",\"grade\":A},"
            + "{\"name\":\"Lisa\",\"grade\":C},"
            + "{\"name\":\"Mike\",\"grade\":B},"
            + "{\"name\":\"Harry\",\"grade\":A}"
            + "]}}";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_json);

        TextView line1 = (TextView) findViewById(R.id.line1);
        TextView line2 = (TextView) findViewById(R.id.line2);
        TextView line3 = (TextView) findViewById(R.id.line3);

        try {
            JSONObject classes = (new JSONObject(CLASSES)).getJSONObject("classes");
            String name = classes.getString("name");
            line1.setText("Class name: " + name);
            line2.setText("This is an introduction to programming with Android");
            line3.setText(name + " has " + classes.getJSONArray("students").length()
            + " students.");
        }
        catch(JSONException e) {
            e.printStackTrace();
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_json, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
